Description

For the "Save vector layer as" function two extra options:

1) Export only what is on the screen.

2) Export only what is selected.

Both of these are really useful.

Associated revisions

Revision 8ac3a94b - 2014-03-04 11:39 AM - Martin Dobias

Fix #8898 (optional filter extent for vector save as)

History

#1 - 2013-10-17 09:05 AM - Giovanni Manghi

- Category set to Vectors

- Target version set to Future Release - Nice to have

the second one is available since... long ao.

#2 - 2013-10-17 09:09 AM - Jonathan Moules

Hmmm, didn't see that (thanks!). Odd that it's a different dialog. Once it's open you have no way of knowing which dialog you're in (save selection or save

everything); if you fat-finger the selection you may end up trying to export millions of features instead of just 10's.

I'd suggest having it all on one dialog but as a checkbox/radiobutton/drop-down option.

#3 - 2013-10-17 04:24 PM - Nathan Woodrow

Having it in one dialog would be nice.  Something that I tend to do a lot is also clip all the layers in the map to another layer or feature for export reasons. At

the moment you have to use the clip tool on each layer which is fine but a bit of a pain. It would be nice to have this as an option in the save dialog so it's

just one simple step.

So would have:

    -  All
    -  Selected

    -  Current View

    -  Clip Layer | Layer picker

Thoughts?

#4 - 2013-10-18 01:29 AM - Giovanni Manghi

Thoughts?

that would be a very nice improvement indeed.

#5 - 2013-10-18 09:28 AM - Jonathan Moules

Thoughts?

Nice idea. But do you you mean clip clip, or do you mean intersects? I think altering the data (clip) isn't something that should be done in this action (it's a

very different thing to just selecting). But selecting intersecting would be fine. Possibly including the option to intersect to the bounding box.

So:

    -  All

    -  Selected

    -  Current View

    -  Intersect Layer | Bounding Box

Would be my suggestion.

#6 - 2014-01-24 05:34 AM - Jonathan Moules

Thinking about it more, it needs to be able to allow multiple possible exports:

Selected / All

Visible / All

And any combination of those (Visible & Selected, All & All, All Visible, All Selected).

A checkbox for "Only Export Selected" would probably work well.

And then some a radio button to select: All, Visible, arbitrary Bounding Box.

#7 - 2014-01-27 02:06 AM - Martin Dobias

For the extent-based export, there are two options:

1. have just a checkbox ("Export only features visible in map canvas")

2. have more complex widget for selection of extent - visible in map canvas, bounding box of a layer, manually entered - something similar to the "Download

OpenStreetMap data" dialog (available in menu Vector > OpenStreetMap)
#8 - 2014-01-27 05:14 AM - Jonathan Moules

I like the "Extent" functionality on the "Save Raster layer as" dialog. Could that not be used/replicated?

That gets a lot of bonuses:

- Code reuse (theoretically ;-) )

- Vector/Raster dialogs are similar - a step towards a consistent user interface.

#9 - 2014-03-04 02:41 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"8ac3a94b99ec5ab0d64f6967e3f2eb577d0acb0a".

#10 - 2014-03-04 05:01 AM - Mathieu Pellerin - nIRV

Martin, fantastic addition, this should find its way in the 2.4 what's new visual change log.
